<?php

/*
 * @version		$Id: licensing.php 3.0 2017-01-26 $
 * @package		All Video Share
 * @copyright   Copyright (C) 2012-2017 MrVinoth
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class AllVideoShareModelLicensing extends AllVideoShareModel {
	
	public function getItem() {
	
         $row = JTable::getInstance( 'Licensing', 'AllVideoShareTable' );
         $row->load(1);

         return $row;
		 
	}
	
	public function save()	{
	
		$app = JFactory::getApplication();
		 
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
      	$id = (int) $cid[0];
		 
	  	$row = JTable::getInstance( 'Licensing', 'AllVideoShareTable' );
      	$row->load( $id );
	
      	if( ! $row->bind( JRequest::get( 'post' ) ) ) {
		 	JError::raiseError( 500, $row->getError() );
	  	}

	  	if( $row->type == 'upload' ) {
			jimport( 'joomla.filesystem.folder' );
			
			$dir = JHTML::_( 'date', 'now', 'Y-m-d', false );
		 	if( ! JFolder::exists( ALLVIDEOSHARE_UPLOAD_BASE ) ) {
				JFolder::create( ALLVIDEOSHARE_UPLOAD_BASE );
			}
		
			$row->logo = AllVideoShareUpload::doUpload( 'upload_logo', $dir, $row->logo );
	  	}
	  
	  	if( ! $row->store() ) {
			JError::raiseError( 500, $row->getError() );
	  	}

		$msg  = JText::_( 'SAVED' );
        $link = 'index.php?option=com_allvideoshare&view=licensing';
		 
		$app->redirect( $link, $msg, 'message' ); 
		 	 
	}
	
}