<?php

/*
 * @version		$Id: allvideoshare.php 3.0 2017-01-10 $
 * @package		All Video Share
 * @copyright   Copyright (C) 2012-2017 MrVinoth
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Register Libraries
JLoader::register( 'AllVideoShareController', JPATH_COMPONENT_ADMINISTRATOR.'/controllers/controller.php' );
JLoader::register( 'AllVideoShareModel', JPATH_COMPONENT_ADMINISTRATOR.'/models/model.php' );
JLoader::register( 'AllVideoShareView', JPATH_COMPONENT_ADMINISTRATOR.'/views/view.php' );
JLoader::register( 'AllVideoShareHtml', JPATH_COMPONENT_ADMINISTRATOR.'/libraries/html.php' );
JLoader::register( 'AllVideoShareUpload', JPATH_COMPONENT_ADMINISTRATOR.'/libraries/upload.php' );
JLoader::register( 'AllVideoShareUtils', JPATH_COMPONENT_ADMINISTRATOR.'/libraries/utils.php' );


// Define constants for all pages
$user = JFactory::getUser();

if( ! defined( 'DS' ) ) define( 'DS', DIRECTORY_SEPARATOR );
define( 'ALLVIDEOSHARE_UPLOAD_DIR', 'media'.DS.'com_allvideoshare'.DS );
define( 'ALLVIDEOSHARE_UPLOAD_BASE', JPATH_ROOT.DS.ALLVIDEOSHARE_UPLOAD_DIR );
define( 'ALLVIDEOSHARE_UPLOAD_BASEURL', JURI::root().str_replace( DS, '/', ALLVIDEOSHARE_UPLOAD_DIR ) );
define( 'ALLVIDEOSHARE_USERID', $user->get( 'id' ) );
define( 'ALLVIDEOSHARE_USERNAME', $user->get( 'username' ) );

// Require the base controller
if( JRequest::getCmd( 'view' ) == '' ) {
	JRequest::setVar( 'view', 'categories' );
} else if( JRequest::getCmd( 'view' ) == 'category' && ! JRequest::getCmd( 'slg' ) ) {
	JRequest::setVar( 'view', 'categories' );
} else if( JRequest::getCmd( 'view' ) == 'video' && ! ( JRequest::getCmd( 'slg' ) || JRequest::getCmd( 'tmpl' ) ) ) {
	JRequest::setVar( 'view', 'videos' );
}

$controller = JRequest::getCmd( 'view' );
$controller = JString::strtolower( $controller );
require_once JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';

// Initialize the controller
$controllerObj  = 'AllVideoShareController'.$controller;
$controller = new $controllerObj();

// Perform the Request task
if( JRequest::getCmd( 'task' ) == '' ) {
	JRequest::setVar('task', JRequest::getCmd( 'view' ) );
}
$controller->execute( JRequest::getCmd( 'task' ) );
$controller->redirect();